<template lang="pug">
  .subheader
    .text.stained-background
      span
        slot
    .spacer
</template>

<script>
export default {}
</script>

<style lang="scss">
.subheader {
  display: flex;

  color: black;

  .text.stained-background {
    min-width: 12em;
    padding: 0.5em 2em;

    &:before {
      background-size: 100% 70%;
    }
    span {
      font-size: 1.5em;
      font-weight: 700;
    }
  }
}
</style>
